/*
 * OutProcessTxTaskClass.h
 *
 *  Created on: 2018/09/25
 *      Author: shingo
 */

#ifndef CATMASTER_OUTPROCESSTXTASKCLASS_H_
#define CATMASTER_OUTPROCESSTXTASKCLASS_H_

#include "ProcessDataBuffer.h"

#include <ti/sysbios/knl/Event.h>

typedef struct {
    ProcessDataBuffer* dataBuffer;
    Event_Handle eventHnd;
    EC_T_BYTE* outputDataBuff;
    int outputDataSize;
} ST_PRO_TX_TASK_PRAM;


class OutProcessTxTaskClass
{
public:
    OutProcessTxTaskClass();
    virtual ~OutProcessTxTaskClass();
    void init(ST_PRO_TX_TASK_PRAM*);
    void loopMain();

private:
    ST_PRO_TX_TASK_PRAM taskParam;
};

#endif /* CATMASTER_OUTPROCESSTXTASKCLASS_H_ */
